// @import "~bulma/sass/utilities/initial-variables";
// @import "~bulma/sass/utilities/functions";
@import "~assets/styles/components/layout";
@import "~assets/styles/components/product";
// @import "~bulma/bulma";
// @import "font-awesome/css/font-awesome.min.css";
$size-small: 0.75rem;
$size-normal: 1rem;
$size-medium: 1.25rem;
$size-large: 1.5rem;
$primary: #8c67ef;
$primary-invert: findColorInvert($primary);
$twitter: #4099FF;
$twitter-invert: findColorInvert($twitter);
$white: #ffffff;
$black: #000000;
// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: (
    "white": ($white, $black),
    "black": ($black, $white),
    "twitter": ($twitter, $twitter-invert)
);

@import "~bulma-extensions/bulma-badge/src/sass/index.sass";
@import "@storefront-ui/vue/styles.scss";

#app {
    @include generate-color-variants(--_c-bulma-primary,  #8c67ef);  
    @include generate-color-variants(--_c-bulma-secondary, 	#6943d0);
    @include generate-color-variants(--_c-light-primary, #f1f2f3);
    @include generate-color-variants(--_c-light-secondary, #ffffff);
    @include assign-color-variants(--c-primary, --_c-bulma-primary);

    --c-primary-variant: --_c-bulma-secondary;
    --c-on-primary: --_c-light-secondary;

    .sf-button {
        --button-border-radius: 5px;
        background: var(--button-background, var(--c-primary));

        &:hover {
            --button-background: var(--_c-bulma-primary-lighten);
        }
    }
}

/* Brand colors */
// Primary
// @include assign-color-variants(--c-primary, --_c-bulma-primary);